--tls-version

This is a command-line option for the mariadb-upgrade & mysql_upgrade commands (arg: Required).

In 10.5 ES, 10.5 CS, 10.4 ES, 10.4 CS, 10.3 ES:

TLS protocol version for secure connection.

In 10.3 CS, 10.2 ES, 10.2 CS:

Not present

See also: Options for mariadb-upgrade & mysql_upgrade in 10.5 ES, in 10.5 CS, in 10.4 ES, in 10.4 CS, in 10.3 ES, in 10.3 CS, in 10.2 ES, and in 10.2 CS

DETAILS

CHANGE HISTORY

Release Series

History

10.5 Enterprise

  • Present starting in MariaDB Enterprise Server 10.5.3-1.

10.5 Community

  • Present starting in MariaDB Community Server 10.5.0.

10.4 Enterprise

  • Present starting in MariaDB Enterprise Server 10.4.6-1.

10.4 Community

  • Added in MariaDB Community Server 10.4.6.

10.3 Enterprise

  • Added in MariaDB Enterprise Server 10.3.24-8.

10.3 Community

  • Not present.

10.2 Enterprise

  • Not present.

10.2 Community

  • Not present.